Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class Constants

    java.lang.Object
      |
      +--org.apache.commons.jxpath.servlet.Constants

public final class Constants
extends java.lang.Object

String constants for this package.

Version:
  $Revision: 1.3 $ $Date: 2003/01/11 05:41:26 $
Author:
  Dmitri Plotnikov

Field Summary
`static java.lang.String` | `APPLICATION_SCOPE` Variable name for ServletContext.
`static java.lang.String` | `JXPATH_CONTEXT` Attribute name used in page context, requst, session, and servlet context to store the corresponding JXPathContext.
`static java.lang.String` | `PAGE_SCOPE` Variable name for PageContext.
`static java.lang.String` | `REQUEST_SCOPE` Variable name for ServletRequest.
`static java.lang.String` | `SESSION_SCOPE` Variable name for HttpSession.

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_SCOPE

    public static final java.lang.String APPLICATION_SCOPE

  Variable name for ServletContext.

### SESSION_SCOPE

    public static final java.lang.String SESSION_SCOPE

  Variable name for HttpSession.

### REQUEST_SCOPE

    public static final java.lang.String REQUEST_SCOPE

  Variable name for ServletRequest.

### PAGE_SCOPE

    public static final java.lang.String PAGE_SCOPE

  Variable name for PageContext.

### JXPATH_CONTEXT

    public static final java.lang.String JXPATH_CONTEXT

  Attribute name used in page context, requst, session, and servlet context to store the corresponding JXPathContext.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.